Bug 1006055 - Include knowledge-api in bpms-engine.zip
Include knowledge-api in bpms-engine.zip
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Kris Verlaenen
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 18:17 EDT by Kris Verlaenen
Modified: 2014-08-06 16:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kverlaen: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Kris Verlaenen 2013-09-09 18:17:47 EDT
The knowledge-api module (which is necessary to support backwards compatibility with the drools5 and jbpm5 api) should be included in the b*ms-engine.zip.

Or do we want it to only be included as a separate jar (for example together with the jcr repo migration tooling)?
Comment 2 Eric D. Schabell 2013-09-09 19:56:08 EDT
I would like to see it work out of the box with a few demos I plan to provide detailing how this works.

That is my vote.
Comment 4 Ivo Bek 2013-10-25 10:05:43 EDT
Verified in BPMS 6.0.0.ER4

The knowledge API is included in the bpms-engine.

Note You need to log in before you can comment on or make changes to this bug.